Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.control
Class ReportImageController

    java.lang.Object
      com.jaspersoft.jasperserver.war.control.ReportImageController

All Implemented Interfaces:
  org.springframework.web.servlet.mvc.Controller

    public class ReportImageController

extends java.lang.Object
implements org.springframework.web.servlet.mvc.Controller

Controller for JasperServer report images.

Version:
  $Id: ReportImageController.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static class` | `ReportImageController.ImageView`

Constructor Summary
`ReportImageController()`

Method Summary
`java.lang.String` | `getImageNameParameter()`
`SessionObjectSerieAccessor` | `getJasperPrintAccessor()`
`java.lang.String` | `getJasperPrintNameParameter()`
`org.springframework.web.servlet.ModelAndView` | `handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `setImageNameParameter(java.lang.String imageNameParameter)`
`void` | `setJasperPrintAccessor(SessionObjectSerieAccessor jasperPrintAccessor)`
`void` | `setJasperPrintNameParameter(java.lang.String jasperPrintNameAttribute)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportImageController

    public ReportImageController()

Method Detail

### handleRequest

    public org.springframework.web.servlet.ModelAndView handleRequest(javax.servlet.http.HttpServletRequest request,
                                                                      javax.servlet.http.HttpServletResponse response)
                                                               throws net.sf.jasperreports.engine.JRException

  Specified by:
    `handleRequest` in interface `org.springframework.web.servlet.mvc.Controller`
  Throws:
    `net.sf.jasperreports.engine.JRException`

### getJasperPrintAccessor

    public SessionObjectSerieAccessor getJasperPrintAccessor()

### setJasperPrintAccessor

    public void setJasperPrintAccessor(SessionObjectSerieAccessor jasperPrintAccessor)

### getJasperPrintNameParameter

    public java.lang.String getJasperPrintNameParameter()

### setJasperPrintNameParameter

    public void setJasperPrintNameParameter(java.lang.String jasperPrintNameAttribute)

### getImageNameParameter

    public java.lang.String getImageNameParameter()

### setImageNameParameter

    public void setImageNameParameter(java.lang.String imageNameParameter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.